package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class PullRefreshText extends JceStruct {
    public String leftIconUrl;
    public String text;
    public String textColor;

    public PullRefreshText() {
        super();
        this.text = "";
        this.textColor = "";
        this.leftIconUrl = "";
    }

    public PullRefreshText(String arg2, String arg3, String arg4) {
        super();
        this.text = "";
        this.textColor = "";
        this.leftIconUrl = "";
        this.text = arg2;
        this.textColor = arg3;
        this.leftIconUrl = arg4;
    }

    public final void readFrom(c arg3) {
        this.text = arg3.b(0, false);
        this.textColor = arg3.b(1, false);
        this.leftIconUrl = arg3.b(2, false);
    }

    public final void writeTo(d arg3) {
        if(this.text != null) {
            arg3.a(this.text, 0);
        }

        if(this.textColor != null) {
            arg3.a(this.textColor, 1);
        }

        if(this.leftIconUrl != null) {
            arg3.a(this.leftIconUrl, 2);
        }
    }

}
